Bug 611143 - cannot write to .xsession-errors
cannot write to .xsession-errors
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 18:37 EDT by David Kovalsky
Modified: 2014-03-31 19:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 08:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2010-07-03 18:37:58 EDT
Snippet from /var/log/audit/audit.log

type=AVC msg=audit(1278195906.508:33476): avc:  denied  { write } for  pid=2515 comm="gdm-session-wor" name=".xsession-errors" dev=dm-7 ino=2621546 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
type=SYSCALL msg=audit(1278195906.508:33476): arch=c000003e syscall=21 success=no exit=-13 a0=1f655d0 a1=6 a2=20 a3=7fff76325040 items=0 ppid=2499 pid=2515 auid=10625 uid=10625 gid=10625 euid=10625 suid=10625 fsuid=10625 egid=10625 sgid=10625 fsgid=10625 tty=(none) ses=1 comm="gdm-session-wor" exe="/usr/libexec/gdm-session-worker" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1278195906.508:33477): avc:  denied  { write } for  pid=2515 comm="gdm-session-wor" name=".xsession-errors" dev=dm-7 ino=2621546 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
type=SYSCALL msg=audit(1278195906.508:33477): arch=c000003e syscall=77 success=no exit=-13 a0=a a1=0 a2=7fff76325330 a3=7fff76325040 items=0 ppid=2499 pid=2515 auid=10625 uid=10625 gid=10625 euid=10625 suid=10625 fsuid=10625 egid=10625 sgid=10625 fsgid=10625 tty=(none) ses=1 comm="gdm-session-wor" exe="/usr/libexec/gdm-session-worker" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)


selinux-policy-targeted-3.7.19-30.el6.noarch
Comment 1 Miroslav Grepl 2010-07-07 08:05:02 EDT
.xsession-errors is mislabelled. 

restorecon -R -v /home

Will fix.

Note You need to log in before you can comment on or make changes to this bug.